Name:		abe
Version:	1.1
Release:	%mkrel 18
URL:		http://abe.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		abe-1.1-fix-str-fmt.patch
Patch1:		abe-1.1-drop-x-req.patch
Patch2:		abe-1.1-automake-1.13.patch
License:	GPL
Group:		Games/Arcade
Summary:	Abe's Amazing Adventure
BuildRequires:	pkgconfig(sdl) 
BuildRequires:	pkgconfig(SDL_mixer) 
BuildRequires:	desktop-file-utils

%description
A scrolling, platform-jumping, key-collecting, ancient pyramid
exploring game, vaguely in the style of similar games for the
Commodore+4. The game is intended to show young people all the
cool games they missed.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure	--bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/abe
%make_build

%install
%make_install
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a {images,sounds,maps} %{buildroot}%{_gamesdatadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Abe's Amazing Adventure
Comment=Abe's Amazing Adventure
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%defattr(644,root,root,755)
%doc README
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%defattr(755,root,root,755)
%{_gamesbindir}/*


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 1.1-18.mga9
+ Revision: 1791700
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1-17.mga8
+ Revision: 1511563
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1-16.mga7
+ Revision: 1297267
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.1-15.mga6
+ Revision: 932804
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-14.mga5
+ Revision: 743472
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-13.mga5
+ Revision: 677674
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-12.mga4
+ Revision: 502437
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-11.mga3
+ Revision: 345192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 1.1-10.mga3
+ Revision: 336327
- patch2: fix build with automake 1.13

* Mon Jun 13 2011 wally <wally> 1.1-9.mga2
+ Revision: 105597
- fix desktop file (mga#1767)

* Tue Mar 22 2011 dmorgan <dmorgan> 1.1-8.mga1
+ Revision: 75503
- Remove mdv macros
  Remove buildroot
  Clean spec file
- imported package abe


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1.1-8mdv2011.0
+ Revision: 635057
- add patch
- drop x req from configure
- rebuild
- tighten BR

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-7mdv2011.0
+ Revision: 609902
- rebuild

* Wed Jan 27 2010 Funda Wang <fwang@mandriva.org> 1.1-6mdv2010.1
+ Revision: 497301
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.1-4mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.1-4mdv2008.1
+ Revision: 135813
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Dec 15 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-4mdv2007.0
+ Revision: 97207
- fix buildrequires
- add xdg menu to %%files
- add xdg menu (fixes #26326)
  cleanups
- Import abe

* Tue Jun 27 2006 Lenny Cartier <lenny@mandriva.com> 1.1-2mdv2007.0
- use mkrel

* Mon Mar 07 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- 1.1
- license changed to GPL
- drop P0 (fixed upstream)

* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0-3mdk
- rebuild for new menu

* Sat Apr 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0-2mdk
- rebuild
- fix summary macro to avoid possible conflicts if we were to build debug package
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

